Skip to main content
GET
Get one provider

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string<uuid>
required
Pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$

Query Parameters

extend
enum<string>[]

Extend options (JSON-encoded array, e.g. ?extend=["category"]):

  • "contacts": Include the linked contacts (id, name, email, phones, comment, notifiedAt, actions).
  • "sites": Include the linked sites (id, ref, name).
  • "technicalInstallations": Include the linked technical installations (id, ref, name).
  • "labels": Include the linked labels (id, name, color).
  • "actions-info": Adds actions { canBeArchived, canBeUnarchived }.
Available options:
contacts,
sites,
technicalInstallations,
labels,
actions-info

Response

Default Response

id
string<uuid>
required
Pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
ref
string
required
Maximum string length: 40
Pattern: ^[A-Z]+-[1-9]\d*(?:-[A-Z]+-[1-9]\d*)*$
name
string
required
Required string length: 1 - 150
types
enum<string>[]
required
Available options:
qualified_technician,
approved_organization,
training_provider
comment
string | null
required
Maximum string length: 1000
location
string | null
required
Maximum string length: 300
country
string | null
required
Maximum string length: 100
primaryContactId
string<uuid> | null
required
Pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
organizationId
string<uuid>
required
Pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
createdAt
string<date-time>
required
updatedAt
string<date-time>
required
archivedAt
string<date-time> | null
required
contacts
object[]
sites
object[]
technicalInstallations
object[]
labels
object[]
actions
object